nz-card(nzTitle="Module outputs data", nzBordered="false")
  ng-container(*ngIf="isVisible; else noOutput")
    ng-container(*ngIf="execution.outputData.length > 1; else oneData")
      nz-collapse(nzAccordion)
        nz-collapse-panel(*ngFor="let outputObject of execution.outputData; let index = index;", nzHeader="Output {{ index+1 }}")
          ng-container(*ngTemplateOutlet="dataDisplay;context:{outputObject: outputObject}")

ng-template(#oneData)
  ng-container(*ngTemplateOutlet="dataDisplay;context:{outputObject: execution.outputData[0]}")

ng-template(#dataDisplay, let-outputObject="outputObject")
  ng-container(*ngIf="(outputObject | keyvalue).length >= 1; else noData")
    ng-container(*ngFor="let outputItem of outputObject | keyvalue")
      nz-table(#table, [nzData]="outputItem | keyvalue", nzShowPagination="false")
        tbody
          tr
            td {{outputItem.key}}
            td
              button(*ngIf="isDirectory(outputItem.value.type)", nz-button, (click)="onShowModal()")
                span Download directory
              a(*ngIf="isFile(outputItem.value.type)", [href]="outputItem.value.value", download) Download file
              span(*ngIf="!isFile(outputItem.value.type) && !isPassword(outputItem.value.type)") {{ outputItem.value.value }}
              span(*ngIf="outputItem.value.value === 0") 0
              .flex.justify-between(*ngIf="isPassword(outputItem.value.type)")
                span(*ngIf="!passwordVisibility") ••••••••
                span(*ngIf="passwordVisibility") {{ outputItem.value.value }}
                ryax-action-button(size="small", shape="circle", [icon]="displayIcon", (click)="togglePasswordVisibility()")

ng-template(#noOutput)
  nz-card.mt1(nzBordered="false")
    nz-empty(nzNotFoundContent="This module has no outputs")

ng-template(#noData)
  nz-card.mt1(nzBordered="false")
    nz-empty(nzNotFoundContent="This module does not produce any data in its outputs")
